package web.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import util.forward.StrutsForward;

public class LogoutAction extends Action {

	private static final long serialVersionUID = 5184319597780160246L;
    
    public ActionForward execute(ActionMapping mapping, ActionForm form,
    		HttpServletRequest request, HttpServletResponse response)
    throws Exception {
		request.getSession().setAttribute("Usuario", null);
		request.getSession().invalidate();
		
		return mapping.findForward(StrutsForward.SUCCESS);
	}
}
